<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TIMESHEETS_APPROVE)">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_HOURSTAB}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESHEETSTOAPPROVE}}"></span>
    </h2>
    <br />
    <th:block th:if="${message}" th:insert="common/fragments/input :: message" />
    <div id="report" th:fragment="report">
      <div th:if="${timesheet != null}">
        <div class="ui grid">
          <div class="eight wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></h4>
            <div class="ui labeled input">
              <label th:text="${timesheet.resource.name}"></label> &nbsp;
              <div class="ui inline dropdown" th:if="${not #lists.isEmpty(resources)}">
                <div class="menu">
                  <div class="item" th:each="resource : ${resources}" th:onclick="'changeresourcetoapprove(' + ${resource.id} + ');'">
                    <img alt="avatar" class="ui avatar image" th:src="@{${resource.avatar.image}}" />
                    <label th:text="${resource.name}" th:value="${resource.id}"></label>
                  </div>
                </div>
                <i class="dropdown icon"></i>
              </div>
            </div>
          </div>
          <div class="eight wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></h4>
            <div class="ui labeled input">
              <div class="ui breadcrumb">
                <label class="section" th:if="${timesheet.submitted}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBMITTED}}"></label>
                <i class="right angle icon divider" th:if="${timesheet.reviewed}"></i>
                <label class="section" th:if="${timesheet.reviewed}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWED}}"></label>
                <i class="right angle icon divider" th:if="${timesheet.approved}"></i>
                <label class="section" th:if="${timesheet.approved}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVED}}"></label>
              </div>
            </div>
          </div>
        </div>
        <br />
        <div class="ui accordion">
          <div th:if="${not #lists.isEmpty(timereport)}">
            <div class="active title">
              <span class="ui header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKLOG}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></span>
              <i class="dropdown icon"></i>
            </div>
            <div class="active content">
              <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                <thead>
                  <tr>
                    <th class="one wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATE}}"></th>
                    <th class="one wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AREA}}"></th>
                    <th class="seven wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
                    <th class="five wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM}}"></th>
                    <th class="one wide center aligned" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></th>
                  </tr>
                </thead>
                <tbody>
                  <tr th:each="report : ${timereport}">
                    <td><span th:text="${#dates.format(report.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></span></td>
                    <td><span th:text="${report.subArea}"></span></td>
                    <td><span class="ui mini" data-variation="mini inverted" th:attr="data-content= ${report.name}" th:text="${#strings.length(report.name) > 60 ? #strings.substring(report.name, 0, 60) + ' ...' : report.name}"></span></td>
                    <td><span th:text="${#strings.length(report.workitemName) > 15 ? #strings.substring(report.workitemName, 0, 15) + ' ...' : report.workitemName}"></span></td>
                    <td class="center aligned"><span th:text="${report.timeSpent}"></span></td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div th:if="${not #lists.isEmpty(vacations)}">
            <div class="title">
              <span class="ui header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VACATIONS}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></span>
              <i class="dropdown icon"></i>
            </div>
            <div class="content">
              <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                <thead>
                  <tr>
                    <th class="one wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATE}}"></th>
                  </tr>
                </thead>
                <tbody>
                  <tr th:each="vacation : ${vacations}">
                    <td><span th:text="${#dates.format(vacation.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></span></td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div th:if="${not #lists.isEmpty(absences)}">
            <div class="title">
              <span class="ui header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></span>
              <i class="dropdown icon"></i>
            </div>
            <div class="content">
              <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                <thead>
                  <tr>
                    <th class="one wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATE}}"></th>
                    <th class="seven wide" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCETYPE}}"></th>
                    <th class="one wide center aligned" scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></th>
                  </tr>
                </thead>
                <tbody>
                  <tr th:each="absence : ${absences}">
                    <td><span th:text="${#dates.format(absence.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></span></td>
                    <td><span th:text="${absence.type.name}"></span></td>
                    <td class="center aligned"><span th:text="${absence.hours}"></span></td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <br />
        <form class="ui form" id="timesheet-form" th:object="${timesheet}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TIMESHEET_APPROVE_VALIDATION}}">
          <input type="hidden" th:field="*{id}" />
          <div class="fields">
            <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMMENT}}, 
							                                                                 field = 'comment', 
							                                                                 required = false, 
							                                                                 placeholder = 'Tell us more.',
							                                                                 columnsize = 'sixteen wide',
					                                                   					     maxlength = ''
							                                                                 )" />
          </div>
          <th:block th:replace="common/fragments/form :: AcceptAndRejectbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_REJECT},
						                                                                  icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REJECT},
						                                                                  icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECK},
						                                                                  icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACCEPT}
						                                                                  )" />
          <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
        </form>
      </div>
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
							                                        	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
							                                        	icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_INDEX},
																		)" />
    </div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TIMEREPORT_JS}}"></script>
</body>
</html>